# Interface methods for submodule: BinaryErodeImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BinaryMorphologyImageFilterProxy as _BinaryMorphologyImageFilterProxy


# Interface methods for class: BinaryErodeImageFilter
class BinaryErodeImageFilterProxy(_BinaryMorphologyImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetErodeValue(self, value: float) -> None:
		""""""
		...

	@overload
	def SetErodeValue(self, value: int) -> None:
		""""""
		...

	@overload
	def GetErodeValue(self) -> float:
		""""""
		...

	@overload
	def GetErodeValue(self) -> int:
		""""""
		...

